Package org.codehaus.groovy.runtime.powerassert

# Class ValueRecorder

java.lang.Object
org.codehaus.groovy.runtime.powerassert.ValueRecorder

public class ValueRecorder extends Object
Records values produced during evaluation of an assertion statement's truth expression.

Author:
  Peter Niederwieser

## Constructor Summary

Constructors
Constructor
Description
`ValueRecorder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`List<Value>`
`getValues()`
`Object`
`record(Object value, int anchor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValueRecorder

public ValueRecorder()

## Method Details

### clear

public void clear()

### record

public Object record(Object value, int anchor)

### getValues

public List<Value> getValues()